Changeset 1549 for ThirdParty/All


Ignore:
Timestamp:
May 8, 2010 9:56:16 AM (10 years ago)
Author:
stefan
Message:

merge split branch: use new pkg-config setup to init package directories

Location:
ThirdParty/All/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/All/trunk

  • ThirdParty/All/trunk/Makefile.in

    r1387 r1549  
    9090distuninstallcheck_listfiles = find . -type f -print
    9191distcleancheck_listfiles = find . -type f -print
     92ABSBUILDDIR = @ABSBUILDDIR@
    9293ACLOCAL = @ACLOCAL@
    9394ADD_CFLAGS = @ADD_CFLAGS@
     
    108109CDEFS = @CDEFS@
    109110CFLAGS = @CFLAGS@
     111COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
     112COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
     113COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
     114COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    110115CPP = @CPP@
    111116CPPFLAGS = @CPPFLAGS@
     
    162167PACKAGE_VERSION = @PACKAGE_VERSION@
    163168PATH_SEPARATOR = @PATH_SEPARATOR@
     169PKG_CONFIG = @PKG_CONFIG@
    164170RANLIB = @RANLIB@
    165171RPATH_FLAGS = @RPATH_FLAGS@
     
    181187ac_ct_STRIP = @ac_ct_STRIP@
    182188ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
     189ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    183190am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    184191am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
     
    240247DISTCLEANFILES = $(am__append_2) $(VPATH_DISTCLEANFILES)
    241248DocFiles = README AUTHORS LICENSE
    242 DocInstallDir = $(prefix)/share/doc/coin/$(PACKAGE_NAME)
     249DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    243250all: all-recursive
    244251
  • ThirdParty/All/trunk/configure

    r1387 r1549  
    481481ac_subdirs_all="$ac_subdirs_all ThirdParty/Metis"
    482482ac_subdirs_all="$ac_subdirs_all ThirdParty/Mumps"
    483 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS subdirs LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     483ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    484484ac_subst_files=''
    485485
     
    10181018ac_cv_env_CXXCPP_set=${CXXCPP+set}
    10191019ac_cv_env_CXXCPP_value=$CXXCPP
     1020ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1021ac_env_PKG_CONFIG_value=$PKG_CONFIG
     1022ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1023ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
     1024ac_env_COIN_SKIP_PROJECTS_set=${COIN_SKIP_PROJECTS+set}
     1025ac_env_COIN_SKIP_PROJECTS_value=$COIN_SKIP_PROJECTS
     1026ac_cv_env_COIN_SKIP_PROJECTS_set=${COIN_SKIP_PROJECTS+set}
     1027ac_cv_env_COIN_SKIP_PROJECTS_value=$COIN_SKIP_PROJECTS
    10201028
    10211029#
     
    11161124                          optimize for fast installation [default=yes]
    11171125  --disable-libtool-lock  avoid locking (might break parallel builds)
     1126  --enable-pkg-config     use pkg-config if available (default is yes)
    11181127
    11191128Optional Packages:
     
    11251134  --with-tags[=TAGS]
    11261135                          include additional configurations [automatic]
     1136  --with-coin-instdir     prefix of installation directory for precompiled
     1137                          COIN packages
     1138  --with-asl-lib linker flags for using project ASL
     1139  --with-asl-incdir directory with header files for using project ASL
     1140  --with-asl-datadir directory with data files for using project ASL
     1141  --with-blas-lib linker flags for using project Blas
     1142  --with-blas-incdir directory with header files for using project Blas
     1143  --with-blas-datadir directory with data files for using project Blas
     1144  --with-filtersqp-lib linker flags for using project FilterSQP
     1145  --with-filtersqp-incdir directory with header files for using project
     1146                          FilterSQP
     1147  --with-filtersqp-datadir
     1148                          directory with data files for using project
     1149                          FilterSQP
     1150  --with-glpk-lib linker flags for using project Glpk
     1151  --with-glpk-incdir directory with header files for using project Glpk
     1152  --with-glpk-datadir directory with data files for using project Glpk
     1153  --with-hsl-lib linker flags for using project HSL
     1154  --with-hsl-incdir directory with header files for using project HSL
     1155  --with-hsl-datadir directory with data files for using project HSL
     1156  --with-lapack-lib linker flags for using project Lapack
     1157  --with-lapack-incdir directory with header files for using project Lapack
     1158  --with-lapack-datadir directory with data files for using project Lapack
     1159  --with-metis-lib linker flags for using project Metis
     1160  --with-metis-incdir directory with header files for using project Metis
     1161  --with-metis-datadir directory with data files for using project Metis
     1162  --with-mumps-lib linker flags for using project Mumps
     1163  --with-mumps-incdir directory with header files for using project Mumps
     1164  --with-mumps-datadir directory with data files for using project Mumps
    11271165
    11281166Some influential environment variables:
     
    11561194  CPP         C preprocessor
    11571195  CXXCPP      C++ preprocessor
     1196  PKG_CONFIG  path to pkg-config utility
     1197  COIN_SKIP_PROJECTS
     1198              Set to the subdirectories of projects that should be skipped in
     1199              the configuration
    11581200
    11591201Use these variables to override the choices made by `configure' or to help
     
    41564198
    41574199# Provide some information about the compiler.
    4158 echo "$as_me:4158:" \
     4200echo "$as_me:4200:" \
    41594201     "checking for Fortran 77 compiler version" >&5
    41604202ac_compiler=`set X $ac_compile; echo $2`
     
    64156457*-*-irix6*)
    64166458  # Find out which ABI we are using.
    6417   echo '#line 6417 "configure"' > conftest.$ac_ext
     6459  echo '#line 6459 "configure"' > conftest.$ac_ext
    64186460  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64196461  (eval $ac_compile) 2>&5
     
    83798421   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83808422   -e 's:$: $lt_compiler_flag:'`
    8381    (eval echo "\"\$as_me:8381: $lt_compile\"" >&5)
     8423   (eval echo "\"\$as_me:8423: $lt_compile\"" >&5)
    83828424   (eval "$lt_compile" 2>conftest.err)
    83838425   ac_status=$?
    83848426   cat conftest.err >&5
    8385    echo "$as_me:8385: \$? = $ac_status" >&5
     8427   echo "$as_me:8427: \$? = $ac_status" >&5
    83868428   if (exit $ac_status) && test -s "$ac_outfile"; then
    83878429     # The compiler can only warn and ignore the option if not recognized
     
    86478689   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86488690   -e 's:$: $lt_compiler_flag:'`
    8649    (eval echo "\"\$as_me:8649: $lt_compile\"" >&5)
     8691   (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
    86508692   (eval "$lt_compile" 2>conftest.err)
    86518693   ac_status=$?
    86528694   cat conftest.err >&5
    8653    echo "$as_me:8653: \$? = $ac_status" >&5
     8695   echo "$as_me:8695: \$? = $ac_status" >&5
    86548696   if (exit $ac_status) && test -s "$ac_outfile"; then
    86558697     # The compiler can only warn and ignore the option if not recognized
     
    87518793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87528794   -e 's:$: $lt_compiler_flag:'`
    8753    (eval echo "\"\$as_me:8753: $lt_compile\"" >&5)
     8795   (eval echo "\"\$as_me:8795: $lt_compile\"" >&5)
    87548796   (eval "$lt_compile" 2>out/conftest.err)
    87558797   ac_status=$?
    87568798   cat out/conftest.err >&5
    8757    echo "$as_me:8757: \$? = $ac_status" >&5
     8799   echo "$as_me:8799: \$? = $ac_status" >&5
    87588800   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87598801   then
     
    1109611138  lt_status=$lt_dlunknown
    1109711139  cat > conftest.$ac_ext <<EOF
    11098 #line 11098 "configure"
     11140#line 11140 "configure"
    1109911141#include "confdefs.h"
    1110011142
     
    1119611238  lt_status=$lt_dlunknown
    1119711239  cat > conftest.$ac_ext <<EOF
    11198 #line 11198 "configure"
     11240#line 11240 "configure"
    1119911241#include "confdefs.h"
    1120011242
     
    1354013582   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354113583   -e 's:$: $lt_compiler_flag:'`
    13542    (eval echo "\"\$as_me:13542: $lt_compile\"" >&5)
     13584   (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
    1354313585   (eval "$lt_compile" 2>conftest.err)
    1354413586   ac_status=$?
    1354513587   cat conftest.err >&5
    13546    echo "$as_me:13546: \$? = $ac_status" >&5
     13588   echo "$as_me:13588: \$? = $ac_status" >&5
    1354713589   if (exit $ac_status) && test -s "$ac_outfile"; then
    1354813590     # The compiler can only warn and ignore the option if not recognized
     
    1364413686   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1364513687   -e 's:$: $lt_compiler_flag:'`
    13646    (eval echo "\"\$as_me:13646: $lt_compile\"" >&5)
     13688   (eval echo "\"\$as_me:13688: $lt_compile\"" >&5)
    1364713689   (eval "$lt_compile" 2>out/conftest.err)
    1364813690   ac_status=$?
    1364913691   cat out/conftest.err >&5
    13650    echo "$as_me:13650: \$? = $ac_status" >&5
     13692   echo "$as_me:13692: \$? = $ac_status" >&5
    1365113693   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365213694   then
     
    1521415256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521515257   -e 's:$: $lt_compiler_flag:'`
    15216    (eval echo "\"\$as_me:15216: $lt_compile\"" >&5)
     15258   (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
    1521715259   (eval "$lt_compile" 2>conftest.err)
    1521815260   ac_status=$?
    1521915261   cat conftest.err >&5
    15220    echo "$as_me:15220: \$? = $ac_status" >&5
     15262   echo "$as_me:15262: \$? = $ac_status" >&5
    1522115263   if (exit $ac_status) && test -s "$ac_outfile"; then
    1522215264     # The compiler can only warn and ignore the option if not recognized
     
    1531815360   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1531915361   -e 's:$: $lt_compiler_flag:'`
    15320    (eval echo "\"\$as_me:15320: $lt_compile\"" >&5)
     15362   (eval echo "\"\$as_me:15362: $lt_compile\"" >&5)
    1532115363   (eval "$lt_compile" 2>out/conftest.err)
    1532215364   ac_status=$?
    1532315365   cat out/conftest.err >&5
    15324    echo "$as_me:15324: \$? = $ac_status" >&5
     15366   echo "$as_me:15366: \$? = $ac_status" >&5
    1532515367   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532615368   then
     
    1752517567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752617568   -e 's:$: $lt_compiler_flag:'`
    17527    (eval echo "\"\$as_me:17527: $lt_compile\"" >&5)
     17569   (eval echo "\"\$as_me:17569: $lt_compile\"" >&5)
    1752817570   (eval "$lt_compile" 2>conftest.err)
    1752917571   ac_status=$?
    1753017572   cat conftest.err >&5
    17531    echo "$as_me:17531: \$? = $ac_status" >&5
     17573   echo "$as_me:17573: \$? = $ac_status" >&5
    1753217574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753317575     # The compiler can only warn and ignore the option if not recognized
     
    1779317835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779417836   -e 's:$: $lt_compiler_flag:'`
    17795    (eval echo "\"\$as_me:17795: $lt_compile\"" >&5)
     17837   (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
    1779617838   (eval "$lt_compile" 2>conftest.err)
    1779717839   ac_status=$?
    1779817840   cat conftest.err >&5
    17799    echo "$as_me:17799: \$? = $ac_status" >&5
     17841   echo "$as_me:17841: \$? = $ac_status" >&5
    1780017842   if (exit $ac_status) && test -s "$ac_outfile"; then
    1780117843     # The compiler can only warn and ignore the option if not recognized
     
    1789717939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1789817940   -e 's:$: $lt_compiler_flag:'`
    17899    (eval echo "\"\$as_me:17899: $lt_compile\"" >&5)
     17941   (eval echo "\"\$as_me:17941: $lt_compile\"" >&5)
    1790017942   (eval "$lt_compile" 2>out/conftest.err)
    1790117943   ac_status=$?
    1790217944   cat out/conftest.err >&5
    17903    echo "$as_me:17903: \$? = $ac_status" >&5
     17945   echo "$as_me:17945: \$? = $ac_status" >&5
    1790417946   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1790517947   then
     
    2080520847#############################################################################
    2080620848
    20807 echo "$as_me:$LINENO: checking whether code for third party package ASL is available" >&5
    20808 echo $ECHO_N "checking whether code for third party package ASL is available... $ECHO_C" >&6
    20809 coin_skip=no
     20849
     20850
     20851# Check whether --enable-pkg-config or --disable-pkg-config was given.
     20852if test "${enable_pkg_config+set}" = set; then
     20853  enableval="$enable_pkg_config"
     20854  use_pkgconfig="$enableval"
     20855else
     20856  use_pkgconfig=yes
     20857fi;
     20858
     20859if test $use_pkgconfig = yes ; then
     20860  if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     20861    if test -n "$ac_tool_prefix"; then
     20862  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     20863set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     20864echo "$as_me:$LINENO: checking for $ac_word" >&5
     20865echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20866if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20867  echo $ECHO_N "(cached) $ECHO_C" >&6
     20868else
     20869  case $PKG_CONFIG in
     20870  [\\/]* | ?:[\\/]*)
     20871  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     20872  ;;
     20873  *)
     20874  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20875for as_dir in $PATH
     20876do
     20877  IFS=$as_save_IFS
     20878  test -z "$as_dir" && as_dir=.
     20879  for ac_exec_ext in '' $ac_executable_extensions; do
     20880  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20881    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20882    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20883    break 2
     20884  fi
     20885done
     20886done
     20887
     20888  ;;
     20889esac
     20890fi
     20891PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     20892
     20893if test -n "$PKG_CONFIG"; then
     20894  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     20895echo "${ECHO_T}$PKG_CONFIG" >&6
     20896else
     20897  echo "$as_me:$LINENO: result: no" >&5
     20898echo "${ECHO_T}no" >&6
     20899fi
     20900
     20901fi
     20902if test -z "$ac_cv_path_PKG_CONFIG"; then
     20903  ac_pt_PKG_CONFIG=$PKG_CONFIG
     20904  # Extract the first word of "pkg-config", so it can be a program name with args.
     20905set dummy pkg-config; ac_word=$2
     20906echo "$as_me:$LINENO: checking for $ac_word" >&5
     20907echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20908if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20909  echo $ECHO_N "(cached) $ECHO_C" >&6
     20910else
     20911  case $ac_pt_PKG_CONFIG in
     20912  [\\/]* | ?:[\\/]*)
     20913  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     20914  ;;
     20915  *)
     20916  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20917for as_dir in $PATH
     20918do
     20919  IFS=$as_save_IFS
     20920  test -z "$as_dir" && as_dir=.
     20921  for ac_exec_ext in '' $ac_executable_extensions; do
     20922  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20923    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20924    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20925    break 2
     20926  fi
     20927done
     20928done
     20929
     20930  ;;
     20931esac
     20932fi
     20933ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     20934
     20935if test -n "$ac_pt_PKG_CONFIG"; then
     20936  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     20937echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20938else
     20939  echo "$as_me:$LINENO: result: no" >&5
     20940echo "${ECHO_T}no" >&6
     20941fi
     20942
     20943  PKG_CONFIG=$ac_pt_PKG_CONFIG
     20944else
     20945  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20946fi
     20947
     20948  fi
     20949  if test -n "$PKG_CONFIG"; then
     20950    _pkg_min_version=0.9.0
     20951    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     20952echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
     20953    if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     20954      echo "$as_me:$LINENO: result: yes" >&5
     20955echo "${ECHO_T}yes" >&6
     20956    else
     20957      echo "$as_me:$LINENO: result: no" >&5
     20958echo "${ECHO_T}no" >&6
     20959      PKG_CONFIG=""
     20960    fi
     20961  fi
     20962
     20963  # check if pkg-config supports the short-errors flag
     20964  if test -n "$PKG_CONFIG" && \
     20965    $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     20966    pkg_short_errors=" --short-errors "
     20967  else
     20968    pkg_short_errors=""
     20969  fi
     20970fi
     20971
     20972
     20973
     20974if test -n "$PKG_CONFIG"; then
     20975  COIN_HAS_PKGCONFIG_TRUE=
     20976  COIN_HAS_PKGCONFIG_FALSE='#'
     20977else
     20978  COIN_HAS_PKGCONFIG_TRUE='#'
     20979  COIN_HAS_PKGCONFIG_FALSE=
     20980fi
     20981
     20982
     20983
     20984# assemble search path for pkg-config, if we are in a project setup
     20985if test x$coin_projectdir = xyes ; then
     20986  COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     20987
     20988  # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     20989  # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     20990  # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     20991  if test -d "${prefix}"; then
     20992    COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     20993  fi
     20994
     20995
     20996# Check whether --with-coin-instdir or --without-coin-instdir was given.
     20997if test "${with_coin_instdir+set}" = set; then
     20998  withval="$with_coin_instdir"
     20999  if test -d "$withval"; then : ; else
     21000       { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21001echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21002   { (exit 1); exit 1; }; }
     21003     fi
     21004     COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     21005
     21006fi;
     21007
     21008  # in a classic setup, we want to find uninstalled projects
     21009  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
     21010  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
     21011  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     21012  if test -e ../coin_subdirs.txt ; then
     21013    for i in `cat ../coin_subdirs.txt` ; do
     21014      if test -d ../$i ; then
     21015        COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21016      fi
     21017    done
     21018  fi
     21019
     21020  if test -e ../../coin_subdirs.txt ; then
     21021    for i in `cat ../../coin_subdirs.txt` ; do
     21022      if test -d ../../$i ; then
     21023        COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     21024      fi
     21025    done
     21026  fi
     21027
     21028
     21029fi
     21030
     21031
     21032
     21033echo "$as_me:$LINENO: checking whether project ASL is available" >&5
     21034echo $ECHO_N "checking whether project ASL is available... $ECHO_C" >&6
     21035
     21036coin_has_asl=notGiven
     21037coin_have_project_dir=no
     21038
     21039# check if user wants to skip project in any case
     21040
    2081021041if test x"$COIN_SKIP_PROJECTS" != x; then
    2081121042  for dir in $COIN_SKIP_PROJECTS; do
    20812     if test $dir = ThirdParty/ASL; then
    20813       coin_skip=yes
     21043    if test $dir = "ASL"; then
     21044      coin_has_asl=skipping
     21045    fi
     21046    if test $dir = "ThirdParty/ASL"; then
     21047      coin_has_asl=skipping
    2081421048    fi
    2081521049  done
    2081621050fi
    20817 if test $coin_skip = yes; then
    20818   echo "$as_me:$LINENO: result: skipping" >&5
    20819 echo "${ECHO_T}skipping" >&6
    20820 else
    20821   coin_tmp=`echo $srcdir/ThirdParty/ASL/solvers/asl.h`
    20822   # There is probably a more elegant way to get the first thing out here...
    20823   for i in $coin_tmp; do
    20824     coin_tmp2=$i
    20825     #break 1
    20826   done
    20827   if test -r $coin_tmp2; then
     21051
     21052if test $coin_has_asl != skipping; then
     21053  if test $PACKAGE_TARNAME = asl; then
     21054    coin_has_asl=.
     21055    coin_have_project_dir=yes
     21056  fi
     21057
     21058
     21059# Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
     21060if test "${with_asl_lib+set}" = set; then
     21061  withval="$with_asl_lib"
     21062  coin_has_asl=installed
     21063fi;
     21064
     21065
     21066# Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
     21067if test "${with_asl_incdir+set}" = set; then
     21068  withval="$with_asl_incdir"
     21069  coin_has_asl=installed
     21070fi;
     21071
     21072
     21073# Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
     21074if test "${with_asl_datadir+set}" = set; then
     21075  withval="$with_asl_datadir"
     21076  coin_has_asl=installed
     21077fi;
     21078fi
     21079
     21080if test $coin_has_asl = notGiven; then
     21081  #only if pkg-config is available:
     21082  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21083  if test -n "$PKG_CONFIG" ; then
     21084    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21085
     21086    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21087    if test -d "$prefix"; then
     21088      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21089    fi
     21090
     21091
     21092# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21093if test "${with_coin_instdir+set}" = set; then
     21094  withval="$with_coin_instdir"
     21095  if test -d "$withval"; then : ; else
     21096         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21097echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21098   { (exit 1); exit 1; }; }
     21099       fi
     21100       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21101
     21102fi;
     21103
     21104    # let pkgconfig check if the project is already installed somewhere
     21105    # need to export variable to be sure that the following pkg-config call gets these values
     21106    export PKG_CONFIG_PATH
     21107
     21108if test -n "$PKG_CONFIG" ; then
     21109  if $PKG_CONFIG --exists "coinasl"; then
     21110    COINASL_VERSION=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null`
     21111    coin_has_asl="$COINASL_VERSION"
     21112  else
     21113    COINASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     21114
     21115  fi
     21116else
     21117  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinasl without pkg-config\"" >&5
     21118echo "$as_me: error: \"Cannot check for existance of module coinasl without pkg-config\"" >&2;}
     21119   { (exit 1); exit 1; }; }
     21120fi
     21121
     21122
     21123    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21124  fi
     21125fi
     21126
     21127# if not found yet, check if project is available in present directory
     21128if test "$coin_has_asl" = notGiven; then
     21129  if test -d $srcdir/ThirdParty/ASL; then
     21130    for i in $srcdir/ThirdParty/ASL/solvers/asl.h; do
     21131         if test -r $i; then
     21132           coin_have_project_dir=yes
     21133         fi
     21134       done
     21135
     21136    if test $coin_have_project_dir = yes; then
     21137      coin_has_asl=ThirdParty/ASL
     21138    fi
     21139  fi
     21140fi
     21141
     21142echo "$as_me:$LINENO: result: $coin_has_asl" >&5
     21143echo "${ECHO_T}$coin_has_asl" >&6
     21144
     21145echo "$as_me:$LINENO: checking whether project ASL need to be configured" >&5
     21146echo $ECHO_N "checking whether project ASL need to be configured... $ECHO_C" >&6
     21147if test "$coin_have_project_dir" = yes ; then
     21148
     21149  if test -r $srcdir/ThirdParty/ASL/configure; then
    2082821150    coin_subdirs="$coin_subdirs ThirdParty/ASL"
    2082921151    echo "$as_me:$LINENO: result: yes" >&5
     
    2083721159echo "${ECHO_T}no" >&6
    2083821160  fi
    20839 fi
    20840 
    20841 echo "$as_me:$LINENO: checking whether code for third party package Blas is available" >&5
    20842 echo $ECHO_N "checking whether code for third party package Blas is available... $ECHO_C" >&6
    20843 coin_skip=no
     21161else
     21162  echo "$as_me:$LINENO: result: no" >&5
     21163echo "${ECHO_T}no" >&6
     21164fi
     21165
     21166
     21167echo "$as_me:$LINENO: checking whether project Blas is available" >&5
     21168echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     21169
     21170coin_has_blas=notGiven
     21171coin_have_project_dir=no
     21172
     21173# check if user wants to skip project in any case
     21174
    2084421175if test x"$COIN_SKIP_PROJECTS" != x; then
    2084521176  for dir in $COIN_SKIP_PROJECTS; do
    20846     if test $dir = ThirdParty/Blas; then
    20847       coin_skip=yes
     21177    if test $dir = "Blas"; then
     21178      coin_has_blas=skipping
     21179    fi
     21180    if test $dir = "ThirdParty/Blas"; then
     21181      coin_has_blas=skipping
    2084821182    fi
    2084921183  done
    2085021184fi
    20851 if test $coin_skip = yes; then
    20852   echo "$as_me:$LINENO: result: skipping" >&5
    20853 echo "${ECHO_T}skipping" >&6
    20854 else
    20855   coin_tmp=`echo $srcdir/ThirdParty/Blas/daxpy.f`
    20856   # There is probably a more elegant way to get the first thing out here...
    20857   for i in $coin_tmp; do
    20858     coin_tmp2=$i
    20859     #break 1
    20860   done
    20861   if test -r $coin_tmp2; then
     21185
     21186if test $coin_has_blas != skipping; then
     21187  if test $PACKAGE_TARNAME = blas; then
     21188    coin_has_blas=.
     21189    coin_have_project_dir=yes
     21190  fi
     21191
     21192
     21193# Check whether --with-m4_tolower(Blas)-lib or --without-m4_tolower(Blas)-lib was given.
     21194if test "${with_blas_lib+set}" = set; then
     21195  withval="$with_blas_lib"
     21196  coin_has_blas=installed
     21197fi;
     21198
     21199
     21200# Check whether --with-m4_tolower(Blas)-incdir or --without-m4_tolower(Blas)-incdir was given.
     21201if test "${with_blas_incdir+set}" = set; then
     21202  withval="$with_blas_incdir"
     21203  coin_has_blas=installed
     21204fi;
     21205
     21206
     21207# Check whether --with-m4_tolower(Blas)-datadir or --without-m4_tolower(Blas)-datadir was given.
     21208if test "${with_blas_datadir+set}" = set; then
     21209  withval="$with_blas_datadir"
     21210  coin_has_blas=installed
     21211fi;
     21212fi
     21213
     21214if test $coin_has_blas = notGiven; then
     21215  #only if pkg-config is available:
     21216  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21217  if test -n "$PKG_CONFIG" ; then
     21218    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21219
     21220    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21221    if test -d "$prefix"; then
     21222      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21223    fi
     21224
     21225
     21226# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21227if test "${with_coin_instdir+set}" = set; then
     21228  withval="$with_coin_instdir"
     21229  if test -d "$withval"; then : ; else
     21230         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21231echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21232   { (exit 1); exit 1; }; }
     21233       fi
     21234       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21235
     21236fi;
     21237
     21238    # let pkgconfig check if the project is already installed somewhere
     21239    # need to export variable to be sure that the following pkg-config call gets these values
     21240    export PKG_CONFIG_PATH
     21241
     21242if test -n "$PKG_CONFIG" ; then
     21243  if $PKG_CONFIG --exists "coinblas"; then
     21244    COINBLAS_VERSION=`$PKG_CONFIG --modversion "coinblas" 2>/dev/null`
     21245    coin_has_blas="$COINBLAS_VERSION"
     21246  else
     21247    COINBLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
     21248
     21249  fi
     21250else
     21251  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&5
     21252echo "$as_me: error: \"Cannot check for existance of module coinblas without pkg-config\"" >&2;}
     21253   { (exit 1); exit 1; }; }
     21254fi
     21255
     21256
     21257    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21258  fi
     21259fi
     21260
     21261# if not found yet, check if project is available in present directory
     21262if test "$coin_has_blas" = notGiven; then
     21263  if test -d $srcdir/ThirdParty/Blas; then
     21264    for i in $srcdir/ThirdParty/Blas/daxpy.f; do
     21265         if test -r $i; then
     21266           coin_have_project_dir=yes
     21267         fi
     21268       done
     21269
     21270    if test $coin_have_project_dir = yes; then
     21271      coin_has_blas=ThirdParty/Blas
     21272    fi
     21273  fi
     21274fi
     21275
     21276echo "$as_me:$LINENO: result: $coin_has_blas" >&5
     21277echo "${ECHO_T}$coin_has_blas" >&6
     21278
     21279echo "$as_me:$LINENO: checking whether project Blas need to be configured" >&5
     21280echo $ECHO_N "checking whether project Blas need to be configured... $ECHO_C" >&6
     21281if test "$coin_have_project_dir" = yes ; then
     21282
     21283  if test -r $srcdir/ThirdParty/Blas/configure; then
    2086221284    coin_subdirs="$coin_subdirs ThirdParty/Blas"
    2086321285    echo "$as_me:$LINENO: result: yes" >&5
     
    2087121293echo "${ECHO_T}no" >&6
    2087221294  fi
    20873 fi
    20874 
    20875 echo "$as_me:$LINENO: checking whether code for third party package FilterSQP is available" >&5
    20876 echo $ECHO_N "checking whether code for third party package FilterSQP is available... $ECHO_C" >&6
    20877 coin_skip=no
     21295else
     21296  echo "$as_me:$LINENO: result: no" >&5
     21297echo "${ECHO_T}no" >&6
     21298fi
     21299
     21300
     21301echo "$as_me:$LINENO: checking whether project FilterSQP is available" >&5
     21302echo $ECHO_N "checking whether project FilterSQP is available... $ECHO_C" >&6
     21303
     21304coin_has_filtersqp=notGiven
     21305coin_have_project_dir=no
     21306
     21307# check if user wants to skip project in any case
     21308
    2087821309if test x"$COIN_SKIP_PROJECTS" != x; then
    2087921310  for dir in $COIN_SKIP_PROJECTS; do
    20880     if test $dir = ThirdParty/FilterSQP; then
    20881       coin_skip=yes
     21311    if test $dir = "FilterSQP"; then
     21312      coin_has_filtersqp=skipping
     21313    fi
     21314    if test $dir = "ThirdParty/FilterSQP"; then
     21315      coin_has_filtersqp=skipping
    2088221316    fi
    2088321317  done
    2088421318fi
    20885 if test $coin_skip = yes; then
    20886   echo "$as_me:$LINENO: result: skipping" >&5
    20887 echo "${ECHO_T}skipping" >&6
    20888 else
    20889   coin_tmp=`echo $srcdir/ThirdParty/FilterSQP/source/src/filter.f`
    20890   # There is probably a more elegant way to get the first thing out here...
    20891   for i in $coin_tmp; do
    20892     coin_tmp2=$i
    20893     #break 1
    20894   done
    20895   if test -r $coin_tmp2; then
     21319
     21320if test $coin_has_filtersqp != skipping; then
     21321  if test $PACKAGE_TARNAME = filtersqp; then
     21322    coin_has_filtersqp=.
     21323    coin_have_project_dir=yes
     21324  fi
     21325
     21326
     21327# Check whether --with-m4_tolower(FilterSQP)-lib or --without-m4_tolower(FilterSQP)-lib was given.
     21328if test "${with_filtersqp_lib+set}" = set; then
     21329  withval="$with_filtersqp_lib"
     21330  coin_has_filtersqp=installed
     21331fi;
     21332
     21333
     21334# Check whether --with-m4_tolower(FilterSQP)-incdir or --without-m4_tolower(FilterSQP)-incdir was given.
     21335if test "${with_filtersqp_incdir+set}" = set; then
     21336  withval="$with_filtersqp_incdir"
     21337  coin_has_filtersqp=installed
     21338fi;
     21339
     21340
     21341# Check whether --with-m4_tolower(FilterSQP)-datadir or --without-m4_tolower(FilterSQP)-datadir was given.
     21342if test "${with_filtersqp_datadir+set}" = set; then
     21343  withval="$with_filtersqp_datadir"
     21344  coin_has_filtersqp=installed
     21345fi;
     21346fi
     21347
     21348if test $coin_has_filtersqp = notGiven; then
     21349  #only if pkg-config is available:
     21350  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21351  if test -n "$PKG_CONFIG" ; then
     21352    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21353
     21354    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21355    if test -d "$prefix"; then
     21356      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21357    fi
     21358
     21359
     21360# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21361if test "${with_coin_instdir+set}" = set; then
     21362  withval="$with_coin_instdir"
     21363  if test -d "$withval"; then : ; else
     21364         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21365echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21366   { (exit 1); exit 1; }; }
     21367       fi
     21368       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21369
     21370fi;
     21371
     21372    # let pkgconfig check if the project is already installed somewhere
     21373    # need to export variable to be sure that the following pkg-config call gets these values
     21374    export PKG_CONFIG_PATH
     21375
     21376if test -n "$PKG_CONFIG" ; then
     21377  if $PKG_CONFIG --exists "coinfiltersqp"; then
     21378    COINFILTERSQP_VERSION=`$PKG_CONFIG --modversion "coinfiltersqp" 2>/dev/null`
     21379    coin_has_filtersqp="$COINFILTERSQP_VERSION"
     21380  else
     21381    COINFILTERSQP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinfiltersqp"`
     21382
     21383  fi
     21384else
     21385  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinfiltersqp without pkg-config\"" >&5
     21386echo "$as_me: error: \"Cannot check for existance of module coinfiltersqp without pkg-config\"" >&2;}
     21387   { (exit 1); exit 1; }; }
     21388fi
     21389
     21390
     21391    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21392  fi
     21393fi
     21394
     21395# if not found yet, check if project is available in present directory
     21396if test "$coin_has_filtersqp" = notGiven; then
     21397  if test -d $srcdir/ThirdParty/FilterSQP; then
     21398    for i in $srcdir/ThirdParty/FilterSQP/source/src/filter.f; do
     21399         if test -r $i; then
     21400           coin_have_project_dir=yes
     21401         fi
     21402       done
     21403
     21404    if test $coin_have_project_dir = yes; then
     21405      coin_has_filtersqp=ThirdParty/FilterSQP
     21406    fi
     21407  fi
     21408fi
     21409
     21410echo "$as_me:$LINENO: result: $coin_has_filtersqp" >&5
     21411echo "${ECHO_T}$coin_has_filtersqp" >&6
     21412
     21413echo "$as_me:$LINENO: checking whether project FilterSQP need to be configured" >&5
     21414echo $ECHO_N "checking whether project FilterSQP need to be configured... $ECHO_C" >&6
     21415if test "$coin_have_project_dir" = yes ; then
     21416
     21417  if test -r $srcdir/ThirdParty/FilterSQP/configure; then
    2089621418    coin_subdirs="$coin_subdirs ThirdParty/FilterSQP"
    2089721419    echo "$as_me:$LINENO: result: yes" >&5
     
    2090521427echo "${ECHO_T}no" >&6
    2090621428  fi
    20907 fi
    20908 
    20909 echo "$as_me:$LINENO: checking whether code for third party package Glpk is available" >&5
    20910 echo $ECHO_N "checking whether code for third party package Glpk is available... $ECHO_C" >&6
    20911 coin_skip=no
     21429else
     21430  echo "$as_me:$LINENO: result: no" >&5
     21431echo "${ECHO_T}no" >&6
     21432fi
     21433
     21434
     21435echo "$as_me:$LINENO: checking whether project Glpk is available" >&5
     21436echo $ECHO_N "checking whether project Glpk is available... $ECHO_C" >&6
     21437
     21438coin_has_glpk=notGiven
     21439coin_have_project_dir=no
     21440
     21441# check if user wants to skip project in any case
     21442
    2091221443if test x"$COIN_SKIP_PROJECTS" != x; then
    2091321444  for dir in $COIN_SKIP_PROJECTS; do
    20914     if test $dir = ThirdParty/Glpk; then
    20915       coin_skip=yes
     21445    if test $dir = "Glpk"; then
     21446      coin_has_glpk=skipping
     21447    fi
     21448    if test $dir = "ThirdParty/Glpk"; then
     21449      coin_has_glpk=skipping
    2091621450    fi
    2091721451  done
    2091821452fi
    20919 if test $coin_skip = yes; then
    20920   echo "$as_me:$LINENO: result: skipping" >&5
    20921 echo "${ECHO_T}skipping" >&6
    20922 else
    20923   coin_tmp=`echo $srcdir/ThirdParty/Glpk/glpk/src/glplpx01.c`
    20924   # There is probably a more elegant way to get the first thing out here...
    20925   for i in $coin_tmp; do
    20926     coin_tmp2=$i
    20927     #break 1
    20928   done
    20929   if test -r $coin_tmp2; then
     21453
     21454if test $coin_has_glpk != skipping; then
     21455  if test $PACKAGE_TARNAME = glpk; then
     21456    coin_has_glpk=.
     21457    coin_have_project_dir=yes
     21458  fi
     21459
     21460
     21461# Check whether --with-m4_tolower(Glpk)-lib or --without-m4_tolower(Glpk)-lib was given.
     21462if test "${with_glpk_lib+set}" = set; then
     21463  withval="$with_glpk_lib"
     21464  coin_has_glpk=installed
     21465fi;
     21466
     21467
     21468# Check whether --with-m4_tolower(Glpk)-incdir or --without-m4_tolower(Glpk)-incdir was given.
     21469if test "${with_glpk_incdir+set}" = set; then
     21470  withval="$with_glpk_incdir"
     21471  coin_has_glpk=installed
     21472fi;
     21473
     21474
     21475# Check whether --with-m4_tolower(Glpk)-datadir or --without-m4_tolower(Glpk)-datadir was given.
     21476if test "${with_glpk_datadir+set}" = set; then
     21477  withval="$with_glpk_datadir"
     21478  coin_has_glpk=installed
     21479fi;
     21480fi
     21481
     21482if test $coin_has_glpk = notGiven; then
     21483  #only if pkg-config is available:
     21484  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21485  if test -n "$PKG_CONFIG" ; then
     21486    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21487
     21488    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21489    if test -d "$prefix"; then
     21490      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21491    fi
     21492
     21493
     21494# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21495if test "${with_coin_instdir+set}" = set; then
     21496  withval="$with_coin_instdir"
     21497  if test -d "$withval"; then : ; else
     21498         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21499echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21500   { (exit 1); exit 1; }; }
     21501       fi
     21502       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21503
     21504fi;
     21505
     21506    # let pkgconfig check if the project is already installed somewhere
     21507    # need to export variable to be sure that the following pkg-config call gets these values
     21508    export PKG_CONFIG_PATH
     21509
     21510if test -n "$PKG_CONFIG" ; then
     21511  if $PKG_CONFIG --exists "coinglpk"; then
     21512    COINGLPK_VERSION=`$PKG_CONFIG --modversion "coinglpk" 2>/dev/null`
     21513    coin_has_glpk="$COINGLPK_VERSION"
     21514  else
     21515    COINGLPK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinglpk"`
     21516
     21517  fi
     21518else
     21519  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinglpk without pkg-config\"" >&5
     21520echo "$as_me: error: \"Cannot check for existance of module coinglpk without pkg-config\"" >&2;}
     21521   { (exit 1); exit 1; }; }
     21522fi
     21523
     21524
     21525    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21526  fi
     21527fi
     21528
     21529# if not found yet, check if project is available in present directory
     21530if test "$coin_has_glpk" = notGiven; then
     21531  if test -d $srcdir/ThirdParty/Glpk; then
     21532    for i in $srcdir/ThirdParty/Glpk/glpk/src/glplpx01.c; do
     21533         if test -r $i; then
     21534           coin_have_project_dir=yes
     21535         fi
     21536       done
     21537
     21538    if test $coin_have_project_dir = yes; then
     21539      coin_has_glpk=ThirdParty/Glpk
     21540    fi
     21541  fi
     21542fi
     21543
     21544echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
     21545echo "${ECHO_T}$coin_has_glpk" >&6
     21546
     21547echo "$as_me:$LINENO: checking whether project Glpk need to be configured" >&5
     21548echo $ECHO_N "checking whether project Glpk need to be configured... $ECHO_C" >&6
     21549if test "$coin_have_project_dir" = yes ; then
     21550
     21551  if test -r $srcdir/ThirdParty/Glpk/configure; then
    2093021552    coin_subdirs="$coin_subdirs ThirdParty/Glpk"
    2093121553    echo "$as_me:$LINENO: result: yes" >&5
     
    2093921561echo "${ECHO_T}no" >&6
    2094021562  fi
    20941 fi
    20942 
    20943 echo "$as_me:$LINENO: checking whether code for third party package HSL is available" >&5
    20944 echo $ECHO_N "checking whether code for third party package HSL is available... $ECHO_C" >&6
    20945 coin_skip=no
     21563else
     21564  echo "$as_me:$LINENO: result: no" >&5
     21565echo "${ECHO_T}no" >&6
     21566fi
     21567
     21568
     21569echo "$as_me:$LINENO: checking whether project HSL is available" >&5
     21570echo $ECHO_N "checking whether project HSL is available... $ECHO_C" >&6
     21571
     21572coin_has_hsl=notGiven
     21573coin_have_project_dir=no
     21574
     21575# check if user wants to skip project in any case
     21576
    2094621577if test x"$COIN_SKIP_PROJECTS" != x; then
    2094721578  for dir in $COIN_SKIP_PROJECTS; do
    20948     if test $dir = ThirdParty/HSL; then
    20949       coin_skip=yes
     21579    if test $dir = "HSL"; then
     21580      coin_has_hsl=skipping
     21581    fi
     21582    if test $dir = "ThirdParty/HSL"; then
     21583      coin_has_hsl=skipping
    2095021584    fi
    2095121585  done
    2095221586fi
    20953 if test $coin_skip = yes; then
    20954   echo "$as_me:$LINENO: result: skipping" >&5
    20955 echo "${ECHO_T}skipping" >&6
    20956 else
    20957   coin_tmp=`echo $srcdir/ThirdParty/HSL/configure.ac`
    20958   # There is probably a more elegant way to get the first thing out here...
    20959   for i in $coin_tmp; do
    20960     coin_tmp2=$i
    20961     #break 1
    20962   done
    20963   if test -r $coin_tmp2; then
     21587
     21588if test $coin_has_hsl != skipping; then
     21589  if test $PACKAGE_TARNAME = hsl; then
     21590    coin_has_hsl=.
     21591    coin_have_project_dir=yes
     21592  fi
     21593
     21594
     21595# Check whether --with-m4_tolower(HSL)-lib or --without-m4_tolower(HSL)-lib was given.
     21596if test "${with_hsl_lib+set}" = set; then
     21597  withval="$with_hsl_lib"
     21598  coin_has_hsl=installed
     21599fi;
     21600
     21601
     21602# Check whether --with-m4_tolower(HSL)-incdir or --without-m4_tolower(HSL)-incdir was given.
     21603if test "${with_hsl_incdir+set}" = set; then
     21604  withval="$with_hsl_incdir"
     21605  coin_has_hsl=installed
     21606fi;
     21607
     21608
     21609# Check whether --with-m4_tolower(HSL)-datadir or --without-m4_tolower(HSL)-datadir was given.
     21610if test "${with_hsl_datadir+set}" = set; then
     21611  withval="$with_hsl_datadir"
     21612  coin_has_hsl=installed
     21613fi;
     21614fi
     21615
     21616if test $coin_has_hsl = notGiven; then
     21617  #only if pkg-config is available:
     21618  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21619  if test -n "$PKG_CONFIG" ; then
     21620    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21621
     21622    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21623    if test -d "$prefix"; then
     21624      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21625    fi
     21626
     21627
     21628# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21629if test "${with_coin_instdir+set}" = set; then
     21630  withval="$with_coin_instdir"
     21631  if test -d "$withval"; then : ; else
     21632         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21633echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21634   { (exit 1); exit 1; }; }
     21635       fi
     21636       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21637
     21638fi;
     21639
     21640    # let pkgconfig check if the project is already installed somewhere
     21641    # need to export variable to be sure that the following pkg-config call gets these values
     21642    export PKG_CONFIG_PATH
     21643
     21644if test -n "$PKG_CONFIG" ; then
     21645  if $PKG_CONFIG --exists "coinhsl"; then
     21646    COINHSL_VERSION=`$PKG_CONFIG --modversion "coinhsl" 2>/dev/null`
     21647    coin_has_hsl="$COINHSL_VERSION"
     21648  else
     21649    COINHSL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinhsl"`
     21650
     21651  fi
     21652else
     21653  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinhsl without pkg-config\"" >&5
     21654echo "$as_me: error: \"Cannot check for existance of module coinhsl without pkg-config\"" >&2;}
     21655   { (exit 1); exit 1; }; }
     21656fi
     21657
     21658
     21659    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21660  fi
     21661fi
     21662
     21663# if not found yet, check if project is available in present directory
     21664if test "$coin_has_hsl" = notGiven; then
     21665  if test -d $srcdir/ThirdParty/HSL; then
     21666    for i in $srcdir/ThirdParty/HSL/configure.ac; do
     21667         if test -r $i; then
     21668           coin_have_project_dir=yes
     21669         fi
     21670       done
     21671
     21672    if test $coin_have_project_dir = yes; then
     21673      coin_has_hsl=ThirdParty/HSL
     21674    fi
     21675  fi
     21676fi
     21677
     21678echo "$as_me:$LINENO: result: $coin_has_hsl" >&5
     21679echo "${ECHO_T}$coin_has_hsl" >&6
     21680
     21681echo "$as_me:$LINENO: checking whether project HSL need to be configured" >&5
     21682echo $ECHO_N "checking whether project HSL need to be configured... $ECHO_C" >&6
     21683if test "$coin_have_project_dir" = yes ; then
     21684
     21685  if test -r $srcdir/ThirdParty/HSL/configure; then
    2096421686    coin_subdirs="$coin_subdirs ThirdParty/HSL"
    2096521687    echo "$as_me:$LINENO: result: yes" >&5
     
    2097321695echo "${ECHO_T}no" >&6
    2097421696  fi
    20975 fi
    20976 
    20977 echo "$as_me:$LINENO: checking whether code for third party package Lapack is available" >&5
    20978 echo $ECHO_N "checking whether code for third party package Lapack is available... $ECHO_C" >&6
    20979 coin_skip=no
     21697else
     21698  echo "$as_me:$LINENO: result: no" >&5
     21699echo "${ECHO_T}no" >&6
     21700fi
     21701
     21702
     21703echo "$as_me:$LINENO: checking whether project Lapack is available" >&5
     21704echo $ECHO_N "checking whether project Lapack is available... $ECHO_C" >&6
     21705
     21706coin_has_lapack=notGiven
     21707coin_have_project_dir=no
     21708
     21709# check if user wants to skip project in any case
     21710
    2098021711if test x"$COIN_SKIP_PROJECTS" != x; then
    2098121712  for dir in $COIN_SKIP_PROJECTS; do
    20982     if test $dir = ThirdParty/Lapack; then
    20983       coin_skip=yes
     21713    if test $dir = "Lapack"; then
     21714      coin_has_lapack=skipping
     21715    fi
     21716    if test $dir = "ThirdParty/Lapack"; then
     21717      coin_has_lapack=skipping
    2098421718    fi
    2098521719  done
    2098621720fi
    20987 if test $coin_skip = yes; then
    20988   echo "$as_me:$LINENO: result: skipping" >&5
    20989 echo "${ECHO_T}skipping" >&6
    20990 else
    20991   coin_tmp=`echo $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f`
    20992   # There is probably a more elegant way to get the first thing out here...
    20993   for i in $coin_tmp; do
    20994     coin_tmp2=$i
    20995     #break 1
    20996   done
    20997   if test -r $coin_tmp2; then
     21721
     21722if test $coin_has_lapack != skipping; then
     21723  if test $PACKAGE_TARNAME = lapack; then
     21724    coin_has_lapack=.
     21725    coin_have_project_dir=yes
     21726  fi
     21727
     21728
     21729# Check whether --with-m4_tolower(Lapack)-lib or --without-m4_tolower(Lapack)-lib was given.
     21730if test "${with_lapack_lib+set}" = set; then
     21731  withval="$with_lapack_lib"
     21732  coin_has_lapack=installed
     21733fi;
     21734
     21735
     21736# Check whether --with-m4_tolower(Lapack)-incdir or --without-m4_tolower(Lapack)-incdir was given.
     21737if test "${with_lapack_incdir+set}" = set; then
     21738  withval="$with_lapack_incdir"
     21739  coin_has_lapack=installed
     21740fi;
     21741
     21742
     21743# Check whether --with-m4_tolower(Lapack)-datadir or --without-m4_tolower(Lapack)-datadir was given.
     21744if test "${with_lapack_datadir+set}" = set; then
     21745  withval="$with_lapack_datadir"
     21746  coin_has_lapack=installed
     21747fi;
     21748fi
     21749
     21750if test $coin_has_lapack = notGiven; then
     21751  #only if pkg-config is available:
     21752  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21753  if test -n "$PKG_CONFIG" ; then
     21754    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21755
     21756    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21757    if test -d "$prefix"; then
     21758      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21759    fi
     21760
     21761
     21762# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21763if test "${with_coin_instdir+set}" = set; then
     21764  withval="$with_coin_instdir"
     21765  if test -d "$withval"; then : ; else
     21766         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21767echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21768   { (exit 1); exit 1; }; }
     21769       fi
     21770       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21771
     21772fi;
     21773
     21774    # let pkgconfig check if the project is already installed somewhere
     21775    # need to export variable to be sure that the following pkg-config call gets these values
     21776    export PKG_CONFIG_PATH
     21777
     21778if test -n "$PKG_CONFIG" ; then
     21779  if $PKG_CONFIG --exists "coinlapack"; then
     21780    COINLAPACK_VERSION=`$PKG_CONFIG --modversion "coinlapack" 2>/dev/null`
     21781    coin_has_lapack="$COINLAPACK_VERSION"
     21782  else
     21783    COINLAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinlapack"`
     21784
     21785  fi
     21786else
     21787  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&5
     21788echo "$as_me: error: \"Cannot check for existance of module coinlapack without pkg-config\"" >&2;}
     21789   { (exit 1); exit 1; }; }
     21790fi
     21791
     21792
     21793    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21794  fi
     21795fi
     21796
     21797# if not found yet, check if project is available in present directory
     21798if test "$coin_has_lapack" = notGiven; then
     21799  if test -d $srcdir/ThirdParty/Lapack; then
     21800    for i in $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f; do
     21801         if test -r $i; then
     21802           coin_have_project_dir=yes
     21803         fi
     21804       done
     21805
     21806    if test $coin_have_project_dir = yes; then
     21807      coin_has_lapack=ThirdParty/Lapack
     21808    fi
     21809  fi
     21810fi
     21811
     21812echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
     21813echo "${ECHO_T}$coin_has_lapack" >&6
     21814
     21815echo "$as_me:$LINENO: checking whether project Lapack need to be configured" >&5
     21816echo $ECHO_N "checking whether project Lapack need to be configured... $ECHO_C" >&6
     21817if test "$coin_have_project_dir" = yes ; then
     21818
     21819  if test -r $srcdir/ThirdParty/Lapack/configure; then
    2099821820    coin_subdirs="$coin_subdirs ThirdParty/Lapack"
    2099921821    echo "$as_me:$LINENO: result: yes" >&5
     
    2100721829echo "${ECHO_T}no" >&6
    2100821830  fi
    21009 fi
    21010 
    21011 echo "$as_me:$LINENO: checking whether code for third party package Metis is available" >&5
    21012 echo $ECHO_N "checking whether code for third party package Metis is available... $ECHO_C" >&6
    21013 coin_skip=no
     21831else
     21832  echo "$as_me:$LINENO: result: no" >&5
     21833echo "${ECHO_T}no" >&6
     21834fi
     21835
     21836
     21837echo "$as_me:$LINENO: checking whether project Metis is available" >&5
     21838echo $ECHO_N "checking whether project Metis is available... $ECHO_C" >&6
     21839
     21840coin_has_metis=notGiven
     21841coin_have_project_dir=no
     21842
     21843# check if user wants to skip project in any case
     21844
    2101421845if test x"$COIN_SKIP_PROJECTS" != x; then
    2101521846  for dir in $COIN_SKIP_PROJECTS; do
    21016     if test $dir = ThirdParty/Metis; then
    21017       coin_skip=yes
     21847    if test $dir = "Metis"; then
     21848      coin_has_metis=skipping
     21849    fi
     21850    if test $dir = "ThirdParty/Metis"; then
     21851      coin_has_metis=skipping
    2101821852    fi
    2101921853  done
    2102021854fi
    21021 if test $coin_skip = yes; then
    21022   echo "$as_me:$LINENO: result: skipping" >&5
    21023 echo "${ECHO_T}skipping" >&6
    21024 else
    21025   coin_tmp=`echo $srcdir/ThirdParty/Metis/metis-4.0/Lib/balance.c`
    21026   # There is probably a more elegant way to get the first thing out here...
    21027   for i in $coin_tmp; do
    21028     coin_tmp2=$i
    21029     #break 1
    21030   done
    21031   if test -r $coin_tmp2; then
     21855
     21856if test $coin_has_metis != skipping; then
     21857  if test $PACKAGE_TARNAME = metis; then
     21858    coin_has_metis=.
     21859    coin_have_project_dir=yes
     21860  fi
     21861
     21862
     21863# Check whether --with-m4_tolower(Metis)-lib or --without-m4_tolower(Metis)-lib was given.
     21864if test "${with_metis_lib+set}" = set; then
     21865  withval="$with_metis_lib"
     21866  coin_has_metis=installed
     21867fi;
     21868
     21869
     21870# Check whether --with-m4_tolower(Metis)-incdir or --without-m4_tolower(Metis)-incdir was given.
     21871if test "${with_metis_incdir+set}" = set; then
     21872  withval="$with_metis_incdir"
     21873  coin_has_metis=installed
     21874fi;
     21875
     21876
     21877# Check whether --with-m4_tolower(Metis)-datadir or --without-m4_tolower(Metis)-datadir was given.
     21878if test "${with_metis_datadir+set}" = set; then
     21879  withval="$with_metis_datadir"
     21880  coin_has_metis=installed
     21881fi;
     21882fi
     21883
     21884if test $coin_has_metis = notGiven; then
     21885  #only if pkg-config is available:
     21886  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21887  if test -n "$PKG_CONFIG" ; then
     21888    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21889
     21890    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21891    if test -d "$prefix"; then
     21892      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21893    fi
     21894
     21895
     21896# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21897if test "${with_coin_instdir+set}" = set; then
     21898  withval="$with_coin_instdir"
     21899  if test -d "$withval"; then : ; else
     21900         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21901echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21902   { (exit 1); exit 1; }; }
     21903       fi
     21904       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21905
     21906fi;
     21907
     21908    # let pkgconfig check if the project is already installed somewhere
     21909    # need to export variable to be sure that the following pkg-config call gets these values
     21910    export PKG_CONFIG_PATH
     21911
     21912if test -n "$PKG_CONFIG" ; then
     21913  if $PKG_CONFIG --exists "coinmetis"; then
     21914    COINMETIS_VERSION=`$PKG_CONFIG --modversion "coinmetis" 2>/dev/null`
     21915    coin_has_metis="$COINMETIS_VERSION"
     21916  else
     21917    COINMETIS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmetis"`
     21918
     21919  fi
     21920else
     21921  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinmetis without pkg-config\"" >&5
     21922echo "$as_me: error: \"Cannot check for existance of module coinmetis without pkg-config\"" >&2;}
     21923   { (exit 1); exit 1; }; }
     21924fi
     21925
     21926
     21927    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21928  fi
     21929fi
     21930
     21931# if not found yet, check if project is available in present directory
     21932if test "$coin_has_metis" = notGiven; then
     21933  if test -d $srcdir/ThirdParty/Metis; then
     21934    for i in $srcdir/ThirdParty/Metis/metis-4.0/Lib/balance.c; do
     21935         if test -r $i; then
     21936           coin_have_project_dir=yes
     21937         fi
     21938       done
     21939
     21940    if test $coin_have_project_dir = yes; then
     21941      coin_has_metis=ThirdParty/Metis
     21942    fi
     21943  fi
     21944fi
     21945
     21946echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     21947echo "${ECHO_T}$coin_has_metis" >&6
     21948
     21949echo "$as_me:$LINENO: checking whether project Metis need to be configured" >&5
     21950echo $ECHO_N "checking whether project Metis need to be configured... $ECHO_C" >&6
     21951if test "$coin_have_project_dir" = yes ; then
     21952
     21953  if test -r $srcdir/ThirdParty/Metis/configure; then
    2103221954    coin_subdirs="$coin_subdirs ThirdParty/Metis"
    2103321955    echo "$as_me:$LINENO: result: yes" >&5
     
    2104121963echo "${ECHO_T}no" >&6
    2104221964  fi
    21043 fi
    21044 
    21045 echo "$as_me:$LINENO: checking whether code for third party package Mumps is available" >&5
    21046 echo $ECHO_N "checking whether code for third party package Mumps is available... $ECHO_C" >&6
    21047 coin_skip=no
     21965else
     21966  echo "$as_me:$LINENO: result: no" >&5
     21967echo "${ECHO_T}no" >&6
     21968fi
     21969
     21970
     21971echo "$as_me:$LINENO: checking whether project Mumps is available" >&5
     21972echo $ECHO_N "checking whether project Mumps is available... $ECHO_C" >&6
     21973
     21974coin_has_mumps=notGiven
     21975coin_have_project_dir=no
     21976
     21977# check if user wants to skip project in any case
     21978
    2104821979if test x"$COIN_SKIP_PROJECTS" != x; then
    2104921980  for dir in $COIN_SKIP_PROJECTS; do
    21050     if test $dir = ThirdParty/Mumps; then
    21051       coin_skip=yes
     21981    if test $dir = "Mumps"; then
     21982      coin_has_mumps=skipping
     21983    fi
     21984    if test $dir = "ThirdParty/Mumps"; then
     21985      coin_has_mumps=skipping
    2105221986    fi
    2105321987  done
    2105421988fi
    21055 if test $coin_skip = yes; then
    21056   echo "$as_me:$LINENO: result: skipping" >&5
    21057 echo "${ECHO_T}skipping" >&6
    21058 else
    21059   coin_tmp=`echo $srcdir/ThirdParty/Mumps/MUMPS/src/dmumps_part1.F`
    21060   # There is probably a more elegant way to get the first thing out here...
    21061   for i in $coin_tmp; do
    21062     coin_tmp2=$i
    21063     #break 1
    21064   done
    21065   if test -r $coin_tmp2; then
     21989
     21990if test $coin_has_mumps != skipping; then
     21991  if test $PACKAGE_TARNAME = mumps; then
     21992    coin_has_mumps=.
     21993    coin_have_project_dir=yes
     21994  fi
     21995
     21996
     21997# Check whether --with-m4_tolower(Mumps)-lib or --without-m4_tolower(Mumps)-lib was given.
     21998if test "${with_mumps_lib+set}" = set; then
     21999  withval="$with_mumps_lib"
     22000  coin_has_mumps=installed
     22001fi;
     22002
     22003
     22004# Check whether --with-m4_tolower(Mumps)-incdir or --without-m4_tolower(Mumps)-incdir was given.
     22005if test "${with_mumps_incdir+set}" = set; then
     22006  withval="$with_mumps_incdir"
     22007  coin_has_mumps=installed
     22008fi;
     22009
     22010
     22011# Check whether --with-m4_tolower(Mumps)-datadir or --without-m4_tolower(Mumps)-datadir was given.
     22012if test "${with_mumps_datadir+set}" = set; then
     22013  withval="$with_mumps_datadir"
     22014  coin_has_mumps=installed
     22015fi;
     22016fi
     22017
     22018if test $coin_has_mumps = notGiven; then
     22019  #only if pkg-config is available:
     22020  #see if user gives directory where project might be installed: assemble search path for pkg-config
     22021  if test -n "$PKG_CONFIG" ; then
     22022    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     22023
     22024    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     22025    if test -d "$prefix"; then
     22026      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     22027    fi
     22028
     22029
     22030# Check whether --with-coin-instdir or --without-coin-instdir was given.
     22031if test "${with_coin_instdir+set}" = set; then
     22032  withval="$with_coin_instdir"
     22033  if test -d "$withval"; then : ; else
     22034         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     22035echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     22036   { (exit 1); exit 1; }; }
     22037       fi
     22038       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     22039
     22040fi;
     22041
     22042    # let pkgconfig check if the project is already installed somewhere
     22043    # need to export variable to be sure that the following pkg-config call gets these values
     22044    export PKG_CONFIG_PATH
     22045
     22046if test -n "$PKG_CONFIG" ; then
     22047  if $PKG_CONFIG --exists "coinmumps"; then
     22048    COINMUMPS_VERSION=`$PKG_CONFIG --modversion "coinmumps" 2>/dev/null`
     22049    coin_has_mumps="$COINMUMPS_VERSION"
     22050  else
     22051    COINMUMPS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmumps"`
     22052
     22053  fi
     22054else
     22055  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module coinmumps without pkg-config\"" >&5
     22056echo "$as_me: error: \"Cannot check for existance of module coinmumps without pkg-config\"" >&2;}
     22057   { (exit 1); exit 1; }; }
     22058fi
     22059
     22060
     22061    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     22062  fi
     22063fi
     22064
     22065# if not found yet, check if project is available in present directory
     22066if test "$coin_has_mumps" = notGiven; then
     22067  if test -d $srcdir/ThirdParty/Mumps; then
     22068    for i in $srcdir/ThirdParty/Mumps/MUMPS/src/dmumps_part1.F; do
     22069         if test -r $i; then
     22070           coin_have_project_dir=yes
     22071         fi
     22072       done
     22073
     22074    if test $coin_have_project_dir = yes; then
     22075      coin_has_mumps=ThirdParty/Mumps
     22076    fi
     22077  fi
     22078fi
     22079
     22080echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
     22081echo "${ECHO_T}$coin_has_mumps" >&6
     22082
     22083echo "$as_me:$LINENO: checking whether project Mumps need to be configured" >&5
     22084echo $ECHO_N "checking whether project Mumps need to be configured... $ECHO_C" >&6
     22085if test "$coin_have_project_dir" = yes ; then
     22086
     22087  if test -r $srcdir/ThirdParty/Mumps/configure; then
    2106622088    coin_subdirs="$coin_subdirs ThirdParty/Mumps"
    2106722089    echo "$as_me:$LINENO: result: yes" >&5
     
    2107522097echo "${ECHO_T}no" >&6
    2107622098  fi
    21077 fi
    21078 
    21079 
    21080 #############################################################################
    21081 #                  Check which subprojects are there                        #
    21082 #############################################################################
     22099else
     22100  echo "$as_me:$LINENO: result: no" >&5
     22101echo "${ECHO_T}no" >&6
     22102fi
    2108322103
    2108422104
     
    2114822168    done
    2114922169    subdirs="$new_subdirs"
     22170  fi
     22171
     22172  # need to come before AC_OUTPUT
     22173  if test x$coin_projectdir != xyes; then
     22174    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     22175    echo $coin_subdirs > coin_subdirs.txt
     22176  else
     22177    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     22178    ABSBUILDDIR="`pwd`"
     22179
    2115022180  fi
    2115122181
     
    2130422334Usually this means the macro was only invoked conditionally." >&5
    2130522335echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     22336Usually this means the macro was only invoked conditionally." >&2;}
     22337   { (exit 1); exit 1; }; }
     22338fi
     22339if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
     22340  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     22341Usually this means the macro was only invoked conditionally." >&5
     22342echo "$as_me: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
    2130622343Usually this means the macro was only invoked conditionally." >&2;}
    2130722344   { (exit 1); exit 1; }; }
     
    2193122968s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2193222969s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     22970s,@PKG_CONFIG@,$PKG_CONFIG,;t t
     22971s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     22972s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
     22973s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
     22974s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
     22975s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2193322976s,@subdirs@,$subdirs,;t t
    2193422977s,@LIBEXT@,$LIBEXT,;t t
    2193522978s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     22979s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2193622980s,@LIBOBJS@,$LIBOBJS,;t t
    2193722981s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • ThirdParty/All/trunk/configure.ac

    r1387 r1549  
    4242#############################################################################
    4343
    44 AC_COIN_THIRDPARTY_SUBDIRS([ASL],[ThirdParty/ASL],[solvers/asl.h])
    45 AC_COIN_THIRDPARTY_SUBDIRS([Blas],[ThirdParty/Blas],[daxpy.f])
    46 AC_COIN_THIRDPARTY_SUBDIRS([FilterSQP],[ThirdParty/FilterSQP],[source/src/filter.f])
    47 AC_COIN_THIRDPARTY_SUBDIRS([Glpk],[ThirdParty/Glpk],[glpk/src/glplpx01.c])
    48 AC_COIN_THIRDPARTY_SUBDIRS([HSL],[ThirdParty/HSL],[configure.ac])
    49 AC_COIN_THIRDPARTY_SUBDIRS([Lapack],[ThirdParty/Lapack],[LAPACK/SRC/dlarf.f])
    50 AC_COIN_THIRDPARTY_SUBDIRS([Metis],[ThirdParty/Metis],[metis-4.0/Lib/balance.c])
    51 AC_COIN_THIRDPARTY_SUBDIRS([Mumps],[ThirdParty/Mumps],[MUMPS/src/dmumps_part1.F])
    52 
    53 #############################################################################
    54 #                  Check which subprojects are there                        #
    55 #############################################################################
    56 
     44AC_COIN_MAIN_PACKAGEDIR([ASL],[ThirdParty],[solvers/asl.h],[coinasl])
     45AC_COIN_MAIN_PACKAGEDIR([Blas],[ThirdParty],[daxpy.f],[coinblas])
     46AC_COIN_MAIN_PACKAGEDIR([FilterSQP],[ThirdParty],[source/src/filter.f],[coinfiltersqp])
     47AC_COIN_MAIN_PACKAGEDIR([Glpk],[ThirdParty],[glpk/src/glplpx01.c],[coinglpk])
     48AC_COIN_MAIN_PACKAGEDIR([HSL],[ThirdParty],[configure.ac],[coinhsl])
     49AC_COIN_MAIN_PACKAGEDIR([Lapack],[ThirdParty],[LAPACK/SRC/dlarf.f],[coinlapack])
     50AC_COIN_MAIN_PACKAGEDIR([Metis],[ThirdParty],[metis-4.0/Lib/balance.c],[coinmetis])
     51AC_COIN_MAIN_PACKAGEDIR([Mumps],[ThirdParty],[MUMPS/src/dmumps_part1.F],[coinmumps])
    5752
    5853##############################################################################
Note: See TracChangeset for help on using the changeset viewer.